Bug 821135 - ebook-viewer modifies the ebook it reads
ebook-viewer modifies the ebook it reads
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
15
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-12 07:17 EDT by Andras Simon
Modified: 2012-05-25 05:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-15 15:33:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 858957 None None None Never

  None (edit)
Description Andras Simon 2012-05-12 07:17:01 EDT
Description of problem:

ebook-viewer modifies the epub files it reads

Version-Release number of selected component (if applicable):

calibre-0.8.0-1.fc15.1.i686

How reproducible:

always

Steps to Reproduce:
1. cp some.epub original.epub
2. ebook-viewer some.epub
3. cmp original.epub some.epub
  
Actual results:

cmp reports a difference

Expected results:

original.epub and some.epub should stay identical

Additional info:

The difference between the two epub files can be seen after unzipping them:

diff -r m/META-INF/calibre_bookmarks.txt m1/META-INF/calibre_bookmarks.txt
1c1
< calibre_current_page_bookmark^7# *:eq(0)  > *:eq(1)  > *:eq(0)  >
*:eq(4)  > *:eq(6) |0.19047619047619047
---
> calibre_current_page_bookmark^15# *:eq(0)  > *:eq(1)  > *:eq(0)  > *:eq(8)  > *:eq(43) |0.3619791666666667

So what happens is that ebook-viewer probably annotates the epub file so it can remember the current page after quitting. But it should put this information in some file that it owns, not the epub itself.
Comment 1 Kevin Fenzi 2012-05-12 13:25:16 EDT
Would you be willing to file this request upstream?

https://bugs.launchpad.net/calibre

Or would you prefer I do so? I'd be happy to, but you are closer to the issue and have data at hand and a stake in solving it.
Comment 2 Andras Simon 2012-05-15 13:03:54 EDT
(In reply to comment #1)
> Would you be willing to file this request upstream?

Sure, but I can't log in to my newly created launchpad account. I end up on a page that says

Sign in

If you proceed, the following information will be available to Launchpad: 

Full name: Andras Simon
Email address: szajmi@gmail.com

Yes, sign me in/Cancel

Why I should sign in when I already seem to be signed in is a mystery, but never mind. Whatever I do, I get back to this same page. Yes, I tried this with cookies removed, but to no avail.


> Or would you prefer I do so? I'd be happy to, but you are closer to the issue
> and have data at hand and a stake in solving it.

In light of the above, I'd appreciate it if you did...

Thanks!
Comment 3 Kevin Fenzi 2012-05-15 15:33:57 EDT
Ah, seems it was already reported in the past: 

https://bugs.launchpad.net/calibre/+bug/858957

So, options seem to be: 

a) disable "remeber last page when closing" 

b) use a different format from epub

c) live with the files changing. 

Sorry.
Comment 4 Andras Simon 2012-05-25 05:41:26 EDT
(In reply to comment #3)
> Ah, seems it was already reported in the past: 
> 
> https://bugs.launchpad.net/calibre/+bug/858957
> 
> So, options seem to be: 
> 
> a) disable "remeber last page when closing" 
> 
> b) use a different format from epub
> 
> c) live with the files changing. 

d) not using ebook-viewer

> Sorry.

Thanks for looking into this!

Note You need to log in before you can comment on or make changes to this bug.